### Class

# Soup AuthBasic

#### Description [src]

    final class Soup.AuthBasic : Soup.Auth {
      /* No available fields */
    }

HTTP “Basic” authentication.

`SoupSession`s support this by default; if you want to disable support for it, call `soup_session_remove_feature_by_type()`, passing `SOUP_TYPE_AUTH_BASIC`.

#### Ancestors

- SoupAuth
- GObject

#### Instance methods

##### Methods inherited from SoupAuth (15)

###### soup_auth_authenticate

Call this on an auth to authenticate it.

###### soup_auth_can_authenticate

Tests if `auth` is able to authenticate by providing credentials to the `soup_auth_authenticate()`.

###### soup_auth_cancel

Call this on an auth to cancel it.

###### soup_auth_free_protection_space

Frees `space`.

###### soup_auth_get_authority

Returns the authority (host:port) that `auth` is associated with.

###### soup_auth_get_authorization

Generates an appropriate “Authorization” header for `msg`.

###### soup_auth_get_info

Gets an opaque identifier for `auth`.

###### soup_auth_get_protection_space

Returns a list of paths on the server which `auth` extends over.

###### soup_auth_get_realm

Returns `auth`‘s realm.

###### soup_auth_get_scheme_name

Returns `auth`‘s scheme name. (Eg, “Basic”, “Digest”, or “NTLM”)

###### soup_auth_is_authenticated

Tests if `auth` has been given a username and password.

###### soup_auth_is_cancelled

Tests if `auth` has been cancelled.

###### soup_auth_is_for_proxy

Tests whether or not `auth` is associated with a proxy server rather than an “origin” server.

###### soup_auth_is_ready

Tests if `auth` is ready to make a request for `msg` with.

###### soup_auth_update

Updates `auth` with the information from `msg` and `auth_header`, possibly un-authenticating it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from SoupAuth (6)

###### Soup.Auth:authority

The authority (host:port) being authenticated to.

###### Soup.Auth:is-authenticated

Whether or not the auth has been authenticated.

###### Soup.Auth:is-cancelled

Whether or not the auth has been cancelled.

###### Soup.Auth:is-for-proxy

Whether or not the auth is for a proxy server.

###### Soup.Auth:realm

The authentication realm.

###### Soup.Auth:scheme-name

The authentication scheme name.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.